Gentoo Archives: gentoo-alt

From: Qiangning Hong <hongqn@×××××.com>
To: gentoo-alt@l.g.o
Subject: [gentoo-alt] perl is masked
Date: Sun, 03 May 2009 03:15:08
Message-Id: b64ef0ce0905022014k64e335a8vd15bffc0e2193029@mail.gmail.com
dev-lang/perl-5.8.8-r6 is masked by official portage maintainer due to
security issues.
<quote>
$ emerge perl -vat

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "dev-lang/perl" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-lang/perl-5.8.8-r6 (masked by: package.mask)
/Users/hongqn/Gentoo/usr/portage/profiles/package.mask:
# Torsten Veller <tove@g.o> (28 Jan 2009)
# Masked for testing (#249629)
# https://bugs.gentoo.org/show_bug.cgi?id=79685#c14


For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
</quote>

However, in the prefix portage tree, no ebuild other than the masked
one can be found.
<quote>
$ ls $EPREFIX/usr/portage/dev-lang/perl
ChangeLog  Manifest  files  metadata.xml  perl-5.8.8-r6.ebuild
</quote>

So nobody can emerge dev-lang/perl without unmask it by hand.  Should
this be fixed?


-- 
Qiangning Hong

Replies

Subject Author
Re: [gentoo-alt] perl is masked Fabian Groffen <grobian@g.o>